Get a specific pathway enrolment
curl --request GET \
--url https://myorg.tribalhabits.com/papi/pathway_assignments/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://myorg.tribalhabits.com/papi/pathway_assignments/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://myorg.tribalhabits.com/papi/pathway_assignments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://myorg.tribalhabits.com/papi/pathway_assignments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://myorg.tribalhabits.com/papi/pathway_assignments/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://myorg.tribalhabits.com/papi/pathway_assignments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 2,
"created_at": "2019-08-08T15:51:31.424+10:00",
"updated_at": "2020-01-22T14:38:39.099+11:00",
"conquered_at": null,
"status": "Unexplored",
"due_date": "2019-12-03T10:54:00.000+11:00",
"enrolled_by": "PAPI",
"certified_date": null,
"recertification_allowed": true,
"skills_attained": [
{
"id": 13,
"name": "First Aid"
}
],
"person": {
"id": 4,
"name": "UserB",
"user_name": "12345",
"link": "/people/users/6"
},
"pathway": {
"id": 1,
"title": "Test Pathway ABC",
"link": "/knowledge/pathways/1/overview",
"show_certificate": true,
"external_id": "123"
}
}{
"error": "Cannot find pathway assignment"
}{
"error": "Rate limit exceeded. Please slow down.",
"retry_after_seconds": 23
}Enrolments
Get a specific pathway enrolment
This endpoint retrieves a specific pathway enrolment.
If the enrolment does not exist, 404 is returned with the body {"error":"Cannot find pathway assignment"}.
GET
https://myorg.tribalhabits.com/papi
/
pathway_assignments
/
{id}
Get a specific pathway enrolment
curl --request GET \
--url https://myorg.tribalhabits.com/papi/pathway_assignments/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://myorg.tribalhabits.com/papi/pathway_assignments/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://myorg.tribalhabits.com/papi/pathway_assignments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://myorg.tribalhabits.com/papi/pathway_assignments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://myorg.tribalhabits.com/papi/pathway_assignments/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://myorg.tribalhabits.com/papi/pathway_assignments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 2,
"created_at": "2019-08-08T15:51:31.424+10:00",
"updated_at": "2020-01-22T14:38:39.099+11:00",
"conquered_at": null,
"status": "Unexplored",
"due_date": "2019-12-03T10:54:00.000+11:00",
"enrolled_by": "PAPI",
"certified_date": null,
"recertification_allowed": true,
"skills_attained": [
{
"id": 13,
"name": "First Aid"
}
],
"person": {
"id": 4,
"name": "UserB",
"user_name": "12345",
"link": "/people/users/6"
},
"pathway": {
"id": 1,
"title": "Test Pathway ABC",
"link": "/knowledge/pathways/1/overview",
"show_certificate": true,
"external_id": "123"
}
}{
"error": "Cannot find pathway assignment"
}{
"error": "Rate limit exceeded. Please slow down.",
"retry_after_seconds": 23
}Authorizations
Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.
Path Parameters
The unique identifier of a pathway enrolment
Response
The pathway enrolment
When the pathway was completed, or null
Progress of the enrolment: Pre-enrolled, Unexplored, Exploring, Applying, Conquered (completed) or recertify
Available options:
Pre-enrolled, Unexplored, Exploring, Applying, Conquered, recertify Date the certification is valid until, or null
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

